#ifndef DIRECTION_BUTTON_STATUS_H
#define DIRECTION_BUTTON_STATUS_H

#include <math.h>
#include <SDL3/SDL.h>
#include "NormalizedDirection.h"

class DirectionButtonStatus
{
public:
    bool UpPressed = false;
    bool DownPressed = false;
    bool LeftPressed = false;
    bool RightPressed = false;
    const float c_NormalizedDiagonal = 1 / sqrt(2);

    bool GetDirection(NormalizedDirection & ref_direction);
};

#endif