#ifndef NORMALIZED_DIRECTION_H
#define NORMALIZED_DIRECTION_H

#include "Vector2D.h"
#include <SDL3/SDL.h>
#include "Vector2D.h"

class NormalizedDirection
{
public:
    NormalizedDirection() {};
    NormalizedDirection(float x, float y, bool isNormalized);
    NormalizedDirection(SDL_FPoint direction, bool isNormalized);
    NormalizedDirection(Vector2D direction, bool isNormalized);

    float GetX() {return m_Direction.x;}
    float GetY() {return m_Direction.y;}
    Vector2D GetDirection() {return m_Direction;};
private:
    Vector2D m_Direction;
};

#endif