#ifndef ACTOR_FACTORY_H
#define ACTOR_FACTORY_H

#include <memory>
#include <SDL3/SDL_rect.h>
#include "Actor.h"
#include "MovingActor.h"

class ActorFactory
{
public:
    static std::shared_ptr<Actor> CreateActor(SDL_FRect hitbox);
    static std::shared_ptr<MovingActor> CreateMovingActor(SDL_FRect hitbox);
};



#endif